Go to:
Gentoo Home
Documentation
Forums
Lists
Bugs
Planet
Store
Wiki
Get Gentoo!
Gentoo's Bugzilla – Attachment 286671 Details for
Bug 380713
net-p2p/deluge-1.3.3 fails to respect DELUGED_USER
Home
|
New
–
[Ex]
|
Browse
|
Search
|
Privacy Policy
|
[?]
|
Reports
|
Requests
|
Help
|
New Account
|
Log In
[x]
|
Forgot Password
Login:
[x]
Patched /etc/init.d/deluged file
deluged (text/plain), 2.02 KB, created by
Julien Cassette
on 2011-09-16 12:06:56 UTC
(
hide
)
Description:
Patched /etc/init.d/deluged file
Filename:
MIME Type:
Creator:
Julien Cassette
Created:
2011-09-16 12:06:56 UTC
Size:
2.02 KB
patch
obsolete
>#!/sbin/runscript ># Copyright 1999-2011 Gentoo Foundation ># Distributed under the terms of the GNU General Public License, v2 or later ># $Header: /var/cvsroot/gentoo-x86/net-p2p/deluge/files/deluged.init,v 1.7 2011/08/07 13:16:39 armin76 Exp $ > >depend() { > need net >} > >checkconfig() { > if [ "${DELUGED_USER}" = "" ] ; then > eerror "Please edit /etc/conf.d/deluged" > eerror "You have to specify a user to run deluged as, as we will not run it as root!" > eerror "Modify DELUGED_USER to your needs (you can also add a group, after a colon)" > return 1 > fi > if ! getent passwd "${DELUGED_USER%:*}" >/dev/null ; then > eerror "Please edit /etc/conf.d/deluged" > eerror "Your user has to exist!" > return 1 > fi > if [ "${DELUGED_USER%:*}" = "${DELUGED_USER}" ] ; then > return 0 > else > if ! getent group "${DELUGED_USER#*:}" >/dev/null ; then > eerror "Please edit /etc/conf.d/deluged" > eerror "Your group has to exist too!" > return 1 > fi > fi > return 0 >} > >start() { > checkconfig || return $? > if [ "${DELUGED_HOME}" = "" ] ; then > DELUGED_USER_HOME=$(getent passwd "${DELUGED_USER%:*}" | cut -d ':' -f 6) > else > DELUGED_USER_HOME=${DELUGED_HOME} > fi > ebegin "Starting Deluged" > start-stop-daemon --start --user "${DELUGED_USER%:*}" \ > --name deluged --pidfile /var/run/deluged.pid --background --make-pidfile \ > --exec /usr/bin/deluged --chuid "${DELUGED_USER}" -e HOME=${DELUGED_USER_HOME} \ > -- --do-not-daemonize "${DELUGED_OPTS}" > eend $? > > > if [ "${DELUGEUI_START}" = "true" ] ; then > ebegin "Starting Deluge" > start-stop-daemon --start --background --pidfile \ > /var/run/deluge.pid --make-pidfile \ > --exec /usr/bin/deluge --chuid "${DELUGED_USER}" \ > -e HOME="${DELUGED_USER_HOME}" -- ${DELUGEUI_OPTS} > eend $? > fi >} > >stop() { > ebegin "Stopping Deluged" > start-stop-daemon --stop --user "${DELUGED_USER}" \ > --name deluged --pidfile /var/run/deluged.pid > eend $? > > > if [ "${DELUGEUI_START}" = "true" ] ; then > ebegin "Stopping Deluge" > start-stop-daemon --stop --user "${DELUGED_USER}" \ > --name deluge --pidfile /var/run/deluge.pid > eend $? > fi >}
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Raw
Actions:
View
Attachments on
bug 380713
: 286671